# EXAMPLE/sitersol.c File Reference

`#include "slu_sdefs.h"`

## Functions
void | smatvec_mult (float alpha, float x[], float beta, float y[])
void | spsolve (int n, float x[], float y[])
int | main (int argc, char *argv[])
## Variables
int * | GLOBAL_PERM_C
int * | GLOBAL_PERM_R
SuperMatrix * | GLOBAL_A
SuperMatrix * | GLOBAL_L
SuperMatrix * | GLOBAL_U
SuperLUStat_t * | GLOBAL_STAT

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[] |
| ) |  |  |

void smatvec_mult | ( | float | alpha,
|  | float | x[],
|  | float | beta,
|  | float | y[] |
| ) |  |  |

void spsolve | ( | int | n,
|  | float | x[],
|  | float | y[] |
| ) |  |  |

## Variable Documentation

SuperMatrix* GLOBAL_A

SuperMatrix * GLOBAL_L

int* GLOBAL_PERM_C

int * GLOBAL_PERM_R

SuperLUStat_t* GLOBAL_STAT

SuperMatrix * GLOBAL_U